CREATE TABLE if not exists document
(
    workshiftid UInt32,
    storeId String,
    shopcode Nullable(String),
    cashId String,
    cashcode String,
    shiftnum UInt32,
    time_beg DateTime,
    documentid UInt32,
    checknum UInt32,
    closed UInt8,
    doctype UInt8,
    time_open DateTime,
    time_close DateTime,
    identifier String,
    docSum String
) ENGINE = MergeTree() PARTITION BY toYYYYMMDD(time_beg) PRIMARY KEY (workshiftid, documentid, cashId) ORDER BY (workshiftid, documentid, cashId, cashcode)