CREATE TABLE if not exists goodsitem
(
    workshiftid UInt32,
    storeId String,
    shopcode Nullable(String),
    cashId String,
    cashcode String,
    shiftnum UInt32,
    time_beg DateTime,
    documentid UInt32,
    checknum UInt32,
    closed UInt8,
    doctype UInt8,
    time_open DateTime,
    time_close DateTime,
    identifier String,
    docSum String,
    goodsitemid UInt32,
    bcode String,
    articul String,
    bquant Decimal(13,3),
    cquant Decimal(13,3),
    deptcode UInt32,
    goods_name String,
    price Decimal(13,2),
    pricei Decimal(13,2),
    ttime Nullable(DateTime)
) ENGINE = MergeTree() PRIMARY KEY (documentid, goodsitemid) PARTITION BY toYYYYMMDD(time_beg) ORDER BY (documentid, goodsitemid)