CREATE TABLE if not exists workshift
(
    workshiftid UInt32,
    storeId String,
    shopcode Nullable(String),
    cashId String,
    cashcode String,
    shiftnum UInt32,
    time_beg DateTime,
    time_end Nullable(DateTime),
    checknum1 Nullable(UInt32),
    checknum2 Nullable(UInt32),
    sumSale Nullable(Decimal(14,4)),
    sumGain Nullable(Decimal(14,4)),
    sumDrawer Nullable(Decimal(14,4))
) ENGINE = MergeTree() PRIMARY KEY (workshiftid) PARTITION BY toYYYYMMDD(time_beg) ORDER BY (workshiftid, shiftnum, cashcode, cashId)